<h1 mat-dialog-title>Add new user</h1>

<div mat-dialog-content>

  <form [formGroup]="userForm">

    <mat-form-field class="first-name-control">
      <mat-label>First Name</mat-label>
      <input cdkFocusInitial matInput formControlName="firstName">
      <mat-error *ngIf="userForm.get('firstName').hasError('required')">First Name is required</mat-error>
    </mat-form-field>

    <mat-form-field class="last-name-control">
      <mat-label>Last Name</mat-label>
      <input matInput formControlName="lastName">
      <mat-error *ngIf="userForm.get('lastName').hasError('required')">Last Name is required</mat-error>
    </mat-form-field>

    <mat-form-field class="email-control">
      <mat-label>Email</mat-label>
      <input matInput formControlName="email">
      <mat-error *ngIf="userForm.get('email').hasError('required')">Email is required</mat-error>
      <mat-error *ngIf="userForm.get('email').hasError('email') && userForm.get('email').errors">Wrong email format</mat-error>
    </mat-form-field>

    <mat-form-field class="status-control">
      <mat-label>Status</mat-label>
      <mat-select formControlName="status">
        <mat-option [value]="0">Active</mat-option>
        <mat-option [value]="1">Blocked</mat-option>
        <mat-option [value]="2">Expired</mat-option>
      </mat-select>
      <mat-error *ngIf="userForm.get('status').hasError('required')">Status is required</mat-error>
    </mat-form-field>

  </form>

</div>

<div mat-dialog-actions>
  <button type="button" mat-button [mat-dialog-close]>Cancel</button>
  <button type="button" mat-button [mat-dialog-close]="userForm.value" [disabled]="userForm.invalid || userForm.pristine">{{dialogWriteModeText}}</button>
</div>
